%define name 	wireless-tools
%define version	30
%define pre	9
%define rel	6
%if %{pre}
%define release	%mkrel 0.pre%{pre}.%{rel}
%define src	wireless_tools.%{version}.pre%{pre}.tar.gz
%else
%define release	%mkrel %{rel}
%define src	wireless_tools.%{version}.tar.gz
%endif
%define lib_name_orig libiw
%define lib_major %{version}
%define lib_name %mklibname iw %{lib_major}
%define develname %mklibname -d iw
%define docs README INSTALL CHANGELOG.h DISTRIBUTIONS.txt COPYING PCMCIA.txt

Summary: Wireless ethernet configuration tools
Group: System/Kernel and hardware
License: GPL
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Source: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/%{src}
Patch0: wireless_tools.diff
Patch1: revert-19-udev-ifrename.rules.diff
Patch2: wireless_tools.27-wireless-man-upd.patch
Conflicts: man-pages-fr < 1.58.0-16
# (blino) strict Requires, see 28-1.pre9.2 changelog
Requires: %{lib_name} = %{version}-%{release}

%description
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment.

This is specifically useful since it allows manipulation of encryption
parameters possible with the GPL WaveLAN cards.

%package -n %{lib_name}
Summary: Wireless_tools library
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release}

%description -n %{lib_name}
This package contains libraries to configure and access wireless interface
cards.

%package -n %{develname}
Summary: Wireless_tools development library
Group: Development/C
Provides: libiw-devel = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Obsoletes: %{_lib}iw30-devel < %{version}-%{release}
Obsoletes: %{_lib}iw29-devel < %{version}-%{release}

%description -n %{develname}
This package contains libraries and headers for use in developing
wireless tools.

%prep
%setup -q -n wireless_tools.%{version}
%patch0 -p0
%patch1 -p1
#%patch2 -p0
chmod a+r %{docs}

%build
%make clean
%make "CFLAGS=$RPM_OPT_FLAGS -I."

%install
%makeinstall \
	PREFIX=%{buildroot}%{_prefix} \
	INSTALL_LIB=%{buildroot}%{_libdir} \
	INSTALL_MAN=%{buildroot}%{_mandir} \
	INSTALL_DIR=%{buildroot}%{_sbindir}

%{find_lang} %{name} --with-man --all-name

%triggerpostun -- wireless-tools < 28-1.pre9.3
[ -f /etc/iftab ] && sed -i -e s,mac_ieee1394,mac, /etc/iftab
:

%files -f %{name}.lang
%doc %{docs}
%{_sbindir}/*
%{_mandir}/man5/iftab.*
%{_mandir}/man7/wireless.*
%{_mandir}/man8/*.*

%files -n %{lib_name}
%{_libdir}/libiw.so.%{version}

%files -n %{develname}
%{_libdir}/libiw.so
%{_includedir}/iwlib.h
%{_includedir}/wireless.h


%changelog

* Sat Apr 13 2013 tmb <tmb> 30-0.pre9.6.mga3
+ Revision: 409929
- revert to v29 udev ifrename.rules (P1)

* Sun Apr 07 2013 luigiwalser <luigiwalser> 30-0.pre9.5.mga3
+ Revision: 408796
- rebuild to really fix mga#9055

* Tue Mar 26 2013 luigiwalser <luigiwalser> 30-0.pre9.4.mga3
+ Revision: 405338
- fix files list

* Mon Jan 14 2013 umeabot <umeabot> 30-0.pre9.3.mga3
+ Revision: 385716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 30-0.pre9.2.mga3
+ Revision: 345484
- correct devel package name and migrate to new filesystem

* Sun Jan 06 2013 tmb <tmb> 30-0.pre9.1.mga3
+ Revision: 339811
- update to 30-pre9

* Tue Feb 15 2011 tmb <tmb> 29-4.mga1
+ Revision: 51842
- fix relase
- imported package wireless-tools

